VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
VisimBox.Renderer.IRenderer Interface Reference

Interface for renderer. More...

Inheritance diagram for VisimBox.Renderer.IRenderer:

List of all members.

## Public Member Functions
void | Initialize (RenderContextSettings settings)
| Initializes renderer.
IRenderContext | AddNewContext (RenderContextSettings settings)
| Adds another render context.
void | RemoveContext (IRenderContext irc)
| Shuts down selected render context.
void | Close ()
| Closes renderer.
bool | IsIdle ()
| Returns true if thread with rendering is idle (any context)
void | RenderAllContexts ()
| Automatically renders all contexts.
void | StartFrame ()
| Starts rendering frame on activated context.
void | EndFrame ()
| Ends rendering frame on activated context (and shows it on screen)
## Properties
TextureManager | TextureMan`[get]`
| Texture manager.
Render2D.FontManager | FontMan`[get]`
| Bitmap font manager.
MaterialManager | MaterialMan`[get]`
| Material manager.
VertexBufferManager | VertexMan`[get]`
| Vertex buffer manager.
IndexBufferManager | IndexMan`[get]`
| Index buffer manager.
MeshManager | MeshMan`[get]`
| Mesh manager.
LightManager | LightMan`[get]`
| Light manager.
IRenderContext | MainContext`[get]`
| Main rendering context.

## Detailed Description

Interface for renderer.

## Member Function Documentation

IRenderContext VisimBox.Renderer.IRenderer.AddNewContext | ( | RenderContextSettings | settings | ) |

Adds another render context.

Parameters:

  settings | Settings for context

Returns:
  Pointer to new context

Implemented in VisimBox.Renderer.Renderer.

void VisimBox.Renderer.IRenderer.Close | ( |  | ) |

Closes renderer.

Implemented in VisimBox.Renderer.Renderer.

void VisimBox.Renderer.IRenderer.EndFrame | ( |  | ) |

Ends rendering frame on activated context (and shows it on screen)

Implemented in VisimBox.Renderer.Renderer.

void VisimBox.Renderer.IRenderer.Initialize | ( | RenderContextSettings | settings | ) |

Initializes renderer.

Parameters:

  settings | Settings for primary render context

Implemented in VisimBox.Renderer.Renderer, and VisimRenderGL.RenderPlugin.

bool VisimBox.Renderer.IRenderer.IsIdle | ( |  | ) |

Returns true if thread with rendering is idle (any context)

Returns:

Implemented in VisimBox.Renderer.Renderer, and VisimRenderGL.RenderPlugin.

void VisimBox.Renderer.IRenderer.RemoveContext | ( | IRenderContext | irc | ) |

Shuts down selected render context.

Parameters:

  irc | render context

Implemented in VisimBox.Renderer.Renderer.

void VisimBox.Renderer.IRenderer.RenderAllContexts | ( |  | ) |

Automatically renders all contexts.

Implemented in VisimBox.Renderer.Renderer.

void VisimBox.Renderer.IRenderer.StartFrame | ( |  | ) |

Starts rendering frame on activated context.

Implemented in VisimBox.Renderer.Renderer.

## Property Documentation

Render2D.FontManager VisimBox.Renderer.IRenderer.FontMan`[get]`

Bitmap font manager.

Implemented in VisimBox.Renderer.Renderer.

IndexBufferManager VisimBox.Renderer.IRenderer.IndexMan`[get]`

Index buffer manager.

Implemented in VisimBox.Renderer.Renderer.

LightManager VisimBox.Renderer.IRenderer.LightMan`[get]`

Light manager.

Implemented in VisimBox.Renderer.Renderer.

IRenderContext VisimBox.Renderer.IRenderer.MainContext`[get]`

Main rendering context.

Implemented in VisimBox.Renderer.Renderer.

MaterialManager VisimBox.Renderer.IRenderer.MaterialMan`[get]`

Material manager.

Implemented in VisimBox.Renderer.Renderer.

MeshManager VisimBox.Renderer.IRenderer.MeshMan`[get]`

Mesh manager.

Implemented in VisimBox.Renderer.Renderer.

TextureManager VisimBox.Renderer.IRenderer.TextureMan`[get]`

Texture manager.

Implemented in VisimBox.Renderer.Renderer.

VertexBufferManager VisimBox.Renderer.IRenderer.VertexMan`[get]`

Vertex buffer manager.

Implemented in VisimBox.Renderer.Renderer.

The documentation for this interface was generated from the following file:

- IRenderer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events